## org.apache.cassandra.cql3
Class QueryProcessor

    java.lang.Object
      org.apache.cassandra.cql3.QueryProcessor

    public class QueryProcessor

extends java.lang.Object

Field Summary
`static SemanticVersion` `CQL_VERSION`

Constructor Summary
`QueryProcessor()`

Method Summary
`static CqlPreparedResult` `prepare(java.lang.String queryString, ClientState clientState)`
`static CqlResult` `process(java.lang.String queryString, ClientState clientState)`
`static CqlResult` `processInternal(java.lang.String query, ClientState state)`
`static CqlResult` `processPrepared(CQLStatement statement, ClientState clientState, java.util.List<java.nio.ByteBuffer> variables)`
`static UntypedResultSet` `resultify(java.lang.String queryString, Row row)`
`static void` `validateColumnName(java.nio.ByteBuffer column)`
`static void` `validateColumnNames(java.lang.Iterable<java.nio.ByteBuffer> columns)`
`static void` `validateKey(java.nio.ByteBuffer key)`
`static void` `validateSlicePredicate(CFMetaData metadata, SlicePredicate predicate)`
`static void` `validateSliceRange(CFMetaData metadata, java.nio.ByteBuffer start, java.nio.ByteBuffer finish, boolean reversed)`
`static void` `validateSliceRange(CFMetaData metadata, SliceRange range)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CQL_VERSION

    public static final SemanticVersion CQL_VERSION

Constructor Detail

### QueryProcessor

    public QueryProcessor()

Method Detail

### validateKey

    public static void validateKey(java.nio.ByteBuffer key)
                            throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateColumnNames

    public static void validateColumnNames(java.lang.Iterable<java.nio.ByteBuffer> columns)
                                    throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateColumnName

    public static void validateColumnName(java.nio.ByteBuffer column)
                                   throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateSlicePredicate

    public static void validateSlicePredicate(CFMetaData metadata,
                                              SlicePredicate predicate)
                                       throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateSliceRange

    public static void validateSliceRange(CFMetaData metadata,
                                          SliceRange range)
                                   throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateSliceRange

    public static void validateSliceRange(CFMetaData metadata,
                                          java.nio.ByteBuffer start,
                                          java.nio.ByteBuffer finish,
                                          boolean reversed)
                                   throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### process

    public static CqlResult process(java.lang.String queryString,
                                    ClientState clientState)
                             throws org.antlr.runtime.RecognitionException,
                                    UnavailableException,
                                    InvalidRequestException,
                                    TimedOutException,
                                    SchemaDisagreementException

  Throws:
    `org.antlr.runtime.RecognitionException`
    `UnavailableException`
    `InvalidRequestException`
    `TimedOutException`
    `SchemaDisagreementException`

### processInternal

    public static CqlResult processInternal(java.lang.String query,
                                            ClientState state)

### resultify

    public static UntypedResultSet resultify(java.lang.String queryString,
                                             Row row)

### prepare

    public static CqlPreparedResult prepare(java.lang.String queryString,
                                            ClientState clientState)
                                     throws org.antlr.runtime.RecognitionException,
                                            InvalidRequestException

  Throws:
    `org.antlr.runtime.RecognitionException`
    `InvalidRequestException`

### processPrepared

    public static CqlResult processPrepared(CQLStatement statement,
                                            ClientState clientState,
                                            java.util.List<java.nio.ByteBuffer> variables)
                                     throws UnavailableException,
                                            InvalidRequestException,
                                            TimedOutException,
                                            SchemaDisagreementException

  Throws:
    `UnavailableException`
    `InvalidRequestException`
    `TimedOutException`
    `SchemaDisagreementException`

Copyright © 2013 The Apache Software Foundation